#include <iostream>
#include <unistd.h>
#include "DHTxx.h"

using namespace std;

int main22() {
  float humidity;
  float temperature;
  int pin = 7;

  DHTxx dht22(pin, DHT22);

  if (dht22.init() == 0) {
    for (int i = 0; i < 10; ++i) {
      int result = dht22.read(&humidity, &temperature);
      switch (result) {
      case DHT_ERROR_TIMEOUT:
        cout << "DHT_ERROR_TIMEOUT" << endl;
        break;
      case DHT_ERROR_CHECKSUM:
        cout << "DHT_ERROR_CHECKSUM" << endl;
        break;
      case DHT_ERROR_ARGUMENT:
        cout << "DHT_ERROR_ARGUMENT" << endl;
        break;
      case DHT_ERROR_GPIO:
        cout << "DHT_ERROR_GPIO" << endl;
        break;
      case DHT_SUCCESS:
        cout << "humidity = " << humidity << " %" << endl;
        cout << "temperature = " << temperature << " °C" << endl;
        break;
      default:
        break;
      }
      sleep(3);
    }
  }
  return 0;
}

int main() {
  float humidity;
  float temperature;
  int pin = 7;

  DHTxx dht11(pin, DHT11);

  if (dht11.init() == 0) {
    for (int i = 0; i < 10; ++i) {
      int result = dht11.read(&humidity, &temperature);
      switch (result) {
      case DHT_ERROR_TIMEOUT:
        cout << "DHT_ERROR_TIMEOUT" << endl;
        break;
      case DHT_ERROR_CHECKSUM:
        cout << "DHT_ERROR_CHECKSUM" << endl;
        break;
      case DHT_ERROR_ARGUMENT:
        cout << "DHT_ERROR_ARGUMENT" << endl;
        break;
      case DHT_ERROR_GPIO:
        cout << "DHT_ERROR_GPIO" << endl;
        break;
      case DHT_SUCCESS:
        cout << "humidity = " << humidity << " %" << endl;
        cout << "temperature = " << temperature << " °C" << endl;
        break;
      default:
        break;
      }
      sleep(3);
    }
  }
  return 0;
}
